import {
  Controller,
  Get,
  Post,
  Body,
  Put,
  Param,
  Delete,
  ParseUUIDPipe,
  HttpStatus,
  Query,
} from '@nestjs/common';
import { RoleService } from './roles.service';

@Controller({
  path: 'config',
  version: '1',
})
export class ConfigurableController {
  constructor(private readonly roleService: RoleService) {}

  @Get('/roles')
  async findAll(@Query('page') page: number) {
    const [data, count] = await this.roleService.findAllRoles(page);

    return {
      data,
      count,
      statusCode: HttpStatus.OK,
      message: 'success',
    };
  }

  @Get(':id')
  async findOne(@Param('id', ParseUUIDPipe) id: string) {
    return {
      data: await this.roleService.findOne(id),
      statusCode: HttpStatus.OK,
      message: 'success',
    };
  }
}
